<?php
session_start();
include("DMMYSQLG.php");
include("varfun.php");

?>

<?php
$GRUPO = $_GET['grupo'];

//print_r($_POST);
if(!isset($_POST['numeros'])){


if ($_POST['cuartos'] == '') {
    echo alert_js("INGRESE EL NUMERO DE CUARTOS");
    echo '<meta content="1; url=res_modificar_PR.php"  HTTP-EQUIV="REFRESH">';
    return false;
} elseif (empty($_POST['tipo_hab'])) {
    echo alert_js("SELECCIONE EL TIPO DE HABITACION");
    echo '<meta content="1; url=res_modificar_PR.php"  HTTP-EQUIV="REFRESH">';
    return false;
} elseif (empty($GRUPO)) {
    echo alert_js("SELECCIONE EL GRUPO");
    echo '<meta content="1; url=res_modificar_PR.php"  HTTP-EQUIV="REFRESH">';
    return false;
}
$cUarTos = $_POST['cuartos'];

$fec = $_POST['ffecllegada'];
include('DF20000.php');
$fecha_inicial = $f_m;
//print_r($_POST['ffecsalida']);
$fec = $_POST['ffecsalida'];
include('DF20000.php');
$fecha_final = $f_m;

$eDe = $_POST['tipo_hab'];



$FrF = mysqli_query($con ,"SELECT * FROM valeryus19 WHERE (ffecllegada <= '$fecha_inicial' AND ffecsalida > '$fecha_inicial' and ftipocto = '$eDe' and status != 'HISTORICO' and cancelado = '0') or (ffecllegada < '$fecha_final' AND ffecsalida >= '$fecha_final' and ftipocto = '$eDe' and status != 'HISTORICO' and cancelado = '0') or (ffecllegada > '$fecha_inicial' AND ffecsalida < '$fecha_final' and ftipocto = '$eDe' and status != 'HISTORICO' and cancelado = '0') ");

while ($tipo = mysqli_fetch_array($FrF)) {

    $Ocu[] = $tipo['fnumcto'];
}

$contador = count($Ocu);

if ($contador == 0) {

    $WeW = mysqli_query($con ,"select * from valeryus08 where ntipo = '$eDe' order by ncto");
} else {

    for ($d = 0; $d <= $contador - 1; $d++) {

        $data[] = "ncto <> '$Ocu[$d]'";
    }

    $Where = implode(" and ", $data);

    $WeW = mysqli_query($con ,"select * from valeryus08 where $Where and ntipo = '$eDe' order by ncto");
}

while ($ob = mysqli_fetch_array($WeW)) {

    $desob[] = $ob['ncto'];
    $deso[] = $ob['ntipo'];
}

$count = count($desob);

if ($cUarTos > $count) {
    echo alert_js("NO HAY SUFICIENTES HABITACIONES");
    echo '<meta content="1; url=res_modificar_PR.php"  HTTP-EQUIV="REFRESH">';
    return false;
}


}

else{
    
$fec = $_POST['ffecllegada'];
include('DF20000.php');
$fecha_inicial = $f_m;

$fec = $_POST['ffecsalida'];
include('DF20000.php');
$fecha_final = $f_m;
//print_r($_POST['ffecsalida']);
     $desob = $_POST['numeros'];
    $deso = $_POST['tipos'];
    
    $cUarTos=count($desob);
}


$fcodgrupo = "fcodgrupo = '$GRUPO'";

$Sel = mysqli_query($con ,"select * from valeryus19 WHERE status = 'RESERVA GRUPO' and cancelado = '0' and ffecllegada = '$fecha_inicial' and $fcodgrupo");
//echo "select * from valeryus19 WHERE status = 'RESERVA GRUPO' and cancelado = '0' and ffecllegada = '$fecha_inicial' and $fcodgrupo";
$GruPo = mysqli_fetch_array($Sel);

$grupo = $GruPo['fcodgrupo']; //
$nombre = $GruPo['fnombre']; //
$apellido = $GruPo['fapellido']; //
$tip_hues = $GruPo['ftiphuesped']; //
$telefono = $GruPo['ftelefono']; //
$tel_emp = $GruPo['ftelemp']; //
$mail = $GruPo['fmail']; //
$email = $GruPo['femail']; //
$direccion = $GruPo['fdireccion']; //
$numctos = $GruPo['fnumctos']; //
$numadu = $GruPo['fnumadu']; //
$nummenor = $GruPo['fnummenor']; //
$mercado = $GruPo['fcodmeca']; //
$plan = $GruPo['fplan']; //
$smerf = $GruPo['smerf']; //
$total = $GruPo['ftotal']; //
$forma_pago = $GruPo['fformpago']; //
$num_tar = $GruPo['fnumtar']; //
$saldo = $GruPo['fsaldo']; //
$limite = $GruPo['flimite']; //
$agencia = $GruPo['fcodagen']; //
$empresa = $GruPo['fempresa']; //
$fcodseg = $GruPo['fcodseg']; //
$codseg = $GruPo['codseg']; //



for ($e = 0; $e <= $cUarTos - 1; $e++) {

    $ins = mysqli_query($con ,"INSERT INTO valeryus19 SET fcodgrupo='$grupo', ffecllegada='$fecha_inicial', ffecsalida='$fecha_final',                ftipocto='$deso[$e]', fnumcto='$desob[$e]', fnombre='$nombre', fapellido='$apellido', ftiphuesped='$tip_hues',                ftelefono='$telefono', ftelemp='$tel_emp', fmail='$mail', femail='$email', fdireccion='$direccion', fnumctos='$numctos',                fnumadu='$numadu', fnummenor='$nummenor', status='RESERVA GRUPO', fcodmeca='$mercado', fplan='$plan', smerf='$smerf', ftotal='$total',                fformpago='$forma_pago', fnumtar='$num_tar', fsaldo='$saldo', flimite='$limite', fcodagen='$agencia', fempresa='$empresa',                fcodseg='$fcodseg', codseg='$codseg'");

  //  echo "INSERT INTO valeryus19 SET fcodgrupo='$grupo', ffecllegada='$fecha_inicial', ffecsalida='$fecha_final',                ftipocto='$deso[$e]', fnumcto='$desob[$e]', fnombre='$nombre', fapellido='$apellido', ftiphuesped='$tip_hues',                ftelefono='$telefono', ftelemp='$tel_emp', fmail='$mail', femail='$email', fdireccion='$direccion', fnumctos='$numctos',                fnumadu='$numadu', fnummenor='$nummenor', status='RESERVA GRUPO', fcodmeca='$mercado', fplan='$plan', smerf='$smerf', ftotal='$total',                fformpago='$forma_pago', fnumtar='$num_tar', fsaldo='$saldo', flimite='$limite', fcodagen='$agencia', fempresa='$empresa',                fcodseg='$fcodseg', codseg='$codseg'";
    
    
    



}
if(!isset($_POST['numeros'])){

    echo '<meta content="1; url=res_modificar_PR.php"  HTTP-EQUIV="REFRESH">';
}
 else {
    echo "ok";
    exit;
}
?> 